Groovy Documentation

## org.codehaus.groovy.transform.stc
[Java] Interface TypeCheckerPluginFactory

    public interface TypeCheckerPluginFactory

A plugin factory is responsible for returning a type checker extension depending on a compilation context.

Authors:
  Cedric Champeau

Method Summary
`TypeCheckerPlugin` | `getTypeCheckerPlugin(ClassNode node)`

Method Detail

### getTypeCheckerPlugin

    public TypeCheckerPlugin getTypeCheckerPlugin(ClassNode node)

Groovy Documentation